SVN source getting out of sync with "FreeOrion SDK"?

Programmers discuss here anything related to FreeOrion programming. Primarily for the developers to discuss.

Moderator: Committer

Post Reply
Message
Author
stride
Space Floater
Posts: 31
Joined: Sun Sep 28, 2008 3:05 pm
Location: Horten, Norway

SVN source getting out of sync with "FreeOrion SDK"?

#1 Post by stride »

I've been inactive for a while, so I just updated all source from SVN to recompile. Unfortunately I run into some problems. It appears the latest code is using Boost functionality from a more recent version than the one I have installed from FreeOrion SDK a while ago (1.35)

Code: Select all

MultiplayerCommon.cpp
..\..\..\util\MultiplayerCommon.cpp(240) : error C2039: 'filename' : is not a member of 'boost::filesystem::basic_directory_entry<Path>'
        with
        [
            Path=boost::filesystem::path
        ]
and

Code: Select all

chmain.cpp
d:\FreeOrion\freeorion\FreeOrion\GG\GG/Font.h(42) : fatal error C1083: Cannot open include file: 'boost/unordered_map.hpp': No such file or directory
When checking Boost docs online I see changes in boost/unordered in both versions 1.36 and 1.37. When checking the online FreeOrion SDK I see v 1.36 of Boost libs as part of it.


Before attempting to compile and install Boost libs from source with my somewhat lame MS Visual C++ 2005 Express compiler, or updating the FreeOrion SDK I have installed... Is the FreeOrion source now using Boost libs version 1.36 or 1.37?

User avatar
OndrejR
Space Dragon
Posts: 339
Joined: Thu Oct 02, 2008 11:00 pm
Location: Slovakia

Re: SVN source getting out of sync with "FreeOrion SDK"?

#2 Post by OndrejR »

stride wrote:Is the FreeOrion source now using Boost libs version 1.36 or 1.37?
yes. Officially boost 1.36, but 1.36 is buggy and on linux on some distributions there is only boost 1.37.

User avatar
Geoff the Medio
Programming, Design, Admin
Posts: 12771
Joined: Wed Oct 08, 2003 1:33 am
Location: Munich

Re: SVN source getting out of sync with "FreeOrion SDK"?

#3 Post by Geoff the Medio »

As noted by OndrejR, FreeOrion currently expects to be built with Boost 1.36. That's the version that SCons looks for, and that the MSVC project files expect to find.

tzlaine is usually pretty good with remembering to update the SDK when changing a dependency version, and if he forgets (or even if he doesn't) I'll usually remind him.

I also try to keep the Wiki Compile Software Requirements list up-to-date, as well as the MSVC project files.

Switching the project files to look for Boost 1.37 isn't very difficult, if you want to get the latest version. You'll have to build 1.37 for yourself, but if you want to get 1.36 from somewhere other than the SDK, you can get an installer from BoostPro (formerly "Boost Consulting").

Post Reply